Name:		perl-Net-IPv4Addr
Version: 	0.10
Release:	1.3
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Net::IPv4Addr
URL: 		http://search.cpan.org/~luismunoz/
Source0: 	Net-IPv4Addr-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl

%if 0%{?fedora_version} >= 7
BuildRequires:	perl-ExtUtils-MakeMaker
%endif

%description
Perl extension for manipulating IPv4 addresses.

%prep
%setup -q -n Net-IPv4Addr-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorlib}/Net
%{perl_vendorlib}/Net/IPv4Addr.pm
%{_mandir}/man3/Net::IPv4Addr.3pm*
%{_bindir}/ipv4calc
%dir %{perl_vendorlib}/auto/Net
%dir %{perl_vendorlib}/auto/Net/IPv4Addr
%{perl_vendorlib}/auto/Net/IPv4Addr/autosplit.ix
%{_mandir}/man1/ipv4calc.1*

%changelog
* Sun May 31 2009 Carsten Schoene <cs@linux-administrator.com> - 0.1100
- initial build.
